Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic.jdbc
Class JdbcDaoImpl.AclDetailsHolder

    java.lang.Object
      org.acegisecurity.acl.basic.jdbc.JdbcDaoImpl.AclDetailsHolder

Enclosing class:
  JdbcDaoImpl

    protected final class JdbcDaoImpl.AclDetailsHolder

extends Object

Used to hold details of a domain object instance's properties, or an individual ACL entry.

Not all properties will be set. The actual properties set will depend on which `MappingSqlQuery` creates the object.

Does not enforce `null`s or empty `String`s as this is performed by the `MappingSqlQuery` objects (or preferably the backend RDBMS via schema constraints).

Constructor Summary
`JdbcDaoImpl.AclDetailsHolder(long foreignKeyId, AclObjectIdentity aclObjectIdentity, AclObjectIdentity aclObjectParentIdentity, Class aclClass)` Record details of a domain object instance's properties (usually from the ACL_OBJECT_IDENTITY table)
`JdbcDaoImpl.AclDetailsHolder(Object recipient, int mask)` Record details of an individual ACL entry (usually from the ACL_PERMISSION table)

Method Summary
`Class` | `getAclClass()`
`AclObjectIdentity` | `getAclObjectIdentity()`
`AclObjectIdentity` | `getAclObjectParentIdentity()`
`long` | `getForeignKeyId()`
`int` | `getMask()`
`Object` | `getRecipient()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcDaoImpl.AclDetailsHolder

    public JdbcDaoImpl.AclDetailsHolder(Object recipient,
                                        int mask)

  Record details of an individual ACL entry (usually from the ACL_PERMISSION table)

  Parameters:
    `recipient` - the recipient
    `mask` - the integer to be masked

### JdbcDaoImpl.AclDetailsHolder

    public JdbcDaoImpl.AclDetailsHolder(long foreignKeyId,
                                        AclObjectIdentity aclObjectIdentity,
                                        AclObjectIdentity aclObjectParentIdentity,
                                        Class aclClass)

  Record details of a domain object instance's properties (usually from the ACL_OBJECT_IDENTITY table)

  Parameters:
    `foreignKeyId` - used by the `AclsByObjectIdentityMapping` to locate the individual ACL entries
    `aclObjectIdentity` - the object identity of the domain object instance
    `aclObjectParentIdentity` - the object identity of the domain object instance's parent
    `aclClass` - the class of which a new instance which should be created for each individual ACL entry (or an inheritence "holder" class if there are no ACL entries)

Method Detail

### getAclClass

    public Class getAclClass()

### getAclObjectIdentity

    public AclObjectIdentity getAclObjectIdentity()

### getAclObjectParentIdentity

    public AclObjectIdentity getAclObjectParentIdentity()

### getForeignKeyId

    public long getForeignKeyId()

### getMask

    public int getMask()

### getRecipient

    public Object getRecipient()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.